/*
 	File:		FontHandlerDummy.cp
 
 	Contains:	QuickDraw GX to PostScript conversion code.
 
 	Version:	Technology:	Quickdraw GX 1.1.x
 	 
 	Copyright:	 1991-1997 by Apple Computer, Inc., all rights reserved.
*/

#include <ScalerTypes.h>
#include "FontDatabase.h"
#include "GXPrintingUniverse.h"
#include "FontHandler.h"

OSErr FontHandlerInit(TFontHandlerContext *context, TFontDbase docFontDbase, scalerStreamTypeFlag legalStreamTypes, TFHDownloadFlags flags,
												unsigned char* version, unsigned char* revision, unsigned char* product) 
	{
		return noErr;
	}

OSErr FontHandlerShutdown(TFontHandlerContext context)
	{
		return noErr;
	}

OSErr	FontHandlerLockContext(TFontHandlerContext context)
	{
		return noErr;
	}
                                                                                                                                        
OSErr	FontHandlerUnlockContext(TFontHandlerContext context)
	{
		return noErr;
	}

OSErr FontHandlerResolveShapeFonts(TFontHandlerContext context, gxShape theShape)
	{
		return no_outline_font_found;			// returning this here triggers the imaging engine to rasterize the text.
	}

OSErr	FontHandlerMakeFontAvailable(TFontHandlerContext context, gxStyle theStyle, long *prFontIndex, unsigned char name[256], 
																				TFHSaveResult *saveLevelResult)
	{
		return noErr;
	}

OSErr FontHandlerDoDocumentHeader(TFontHandlerContext context)
	{
		return noErr;
	}

#ifndef GXTOPOSTSCRIPTLIBRARY
	OSErr	FontHandlerGetProcSetList(TFontHandlerContext context, gxProcSetListPtr procSetList, Boolean needsHex)
	{
		return noErr;
	}
#else
	OSErr	FontHandlerDownloadProcSetList(TFontHandlerContext context, Boolean needsHex)
	{
		return noErr;
	}
#endif

OSErr FontHandlerSetFontVM(TFontHandlerContext context, long fontVM)
	{
		return noErr;
	}

OSErr FontHandlerBalanceSaveLevel(TFontHandlerContext context)
	{
		return noErr;
	}

OSErr FontHandlerGetStyleFont(TFontHandlerContext context, gxStyle theStyle, fhFont *theFont)
	{
		return noErr;
	}

OSErr FontHandlerGetStyleFontVariations(TFontHandlerContext context, gxStyle theStyle, long *count, gxFontVariation variations[])
	{
		return noErr;
	}

OSErr FontHandlerOutputVariationPSOperator(TFontHandlerContext context, gxStyle theStyle)
	{
		return noErr;
	}
