
/*
 	File:		ShapeUtilities.h
 
 	Contains:	QuickDraw GX to PostScript conversion code.
 					This file contains all of the public data structures, constants,
					and function declarations for the Shape Utilities Handler.
 
 	Version:	Technology:	Quickdraw GX 1.1.x
 	 
 	Copyright:	 1995-1997 by Apple Computer, Inc., all rights reserved.
*/

#ifndef _SHAPEUTILS_
#define _SHAPEUTILS_

#include <GXEnvironment.h>

/**********************/
/* Segment Dispatches */
/**********************/

OSErr ShUDissectGlyphs(gxShape theShape, Boolean splitByStyle);
OSErr ShUDissectPath(gxShape theShape, long limit, Boolean splitH, OSErr (*countFunct)(gxShape aShape, long contour, long *numPoints));

OSErr QGXTranslateQuickDrawPict(gxShape source, gxShapeSpoolUPP userFunction,  long refCon, gxTranslationStatistic *stats);

OSErr TextToUnhintedPath(gxShape target);

#endif // _SHAPEUTILS_
